summaryrefslogtreecommitdiff
path: root/helpers/build
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/build')
-rwxr-xr-xhelpers/build67
1 files changed, 67 insertions, 0 deletions
diff --git a/helpers/build b/helpers/build
new file mode 100755
index 0000000..835ad8e
--- /dev/null
+++ b/helpers/build
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# lh_build(1) - build a Debian Live system
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Read meta config
+if [ "${1}" != "noautoconfig" ] && [ -x auto/build ]
+then
+ ./auto/build ${@}
+fi
+
+if [ "${1}" = "noautoconfig" ]
+then
+ shift
+fi
+
+# Setting static variables
+DESCRIPTION="$(Echo 'build a Debian Live system')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+if [ ! -d config ]
+then
+ Echo_warning "No config/ directory; using defaults for all options"
+fi
+
+if [ "$(pwd)" = "/" ]
+then
+ Echo_error "Cannot build live image from the root directory (/)"
+ exit 1
+fi
+
+if echo $(pwd) | grep -qs " "
+then
+ Echo_error "Cannot build live image from a directory containing spaces"
+ exit 1
+fi
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+# Checking defaults
+Check_defaults
+
+# Bootstrapping system
+lh bootstrap ${*}
+
+# Customizing chroot
+lh chroot ${*}
+
+# Building binary images
+lh binary ${*}
+
+# Building source images
+lh source ${*}